
networks:
  meet.jitsi:
  DOCKER_NETWORK_DATA: #LIBREPORTAL|DOCKER_NETWORK_TAG|DOCKER_NETWORK_DATA
    external: true

services:
    # Frontend
    jitsimeet-service: #LIBREPORTAL|SERVICE_TAG_1|jitsimeet-service
        container_name: jitsimeet-service
        image: jitsi/web:stable
        volumes:
            - ${CONFIG}/web:/config
            - ${CONFIG}/transcripts:/usr/share/jitsi-meet/transcripts
        environment:
            - TZ:TIMEZONE_DATA #LIBREPORTAL|TIMEZONE_TAG|TIMEZONE_DATA
            - DISABLE_HTTPS
            - PUBLIC_URL:https://DOMAINSUBNAME_DATA #LIBREPORTAL|DOMAINSUBNAME_TAG|DOMAINSUBNAME_DATA
            - XMPP_DOMAIN:meet.jitsi
            - ENABLE_GUESTS
            - ENABLE_P2P
        labels:
            libreportal.category: "CATEGORY_DATA" #LIBREPORTAL|CATEGORY_TAG|CATEGORY_DATA
            libreportal.title: "TITLE_DATA" #LIBREPORTAL|TITLE_TAG|TITLE_DATA
            traefik.enable: TRAEFIK_ENABLE_DATA #LIBREPORTAL|TRAEFIK_ENABLE_TAG|TRAEFIK_ENABLE_DATA
            # TRAEFIK_PORT_1_BEGIN
            traefik.http.routers.jitsimeet-service.entrypoints: web,websecure
            traefik.http.routers.jitsimeet-service.rule: Host(`DOMAINSUBNAME_DATA_1`) #LIBREPORTAL|DOMAINSUBNAME_TAG_1|DOMAINSUBNAME_DATA_1
            traefik.http.routers.jitsimeet-service.tls: true
            traefik.http.routers.jitsimeet-service.tls.certresolver: production
            traefik.http.services.jitsimeet-service.loadbalancer.server.port: PORT_INTERNAL_DATA_1 #LIBREPORTAL|PORT_INTERNAL_TAG_1|PORT_INTERNAL_DATA_1
            traefik.http.routers.jitsimeet-service.middlewares: MIDDLEWARE_DATA_1 #LIBREPORTAL|MIDDLEWARE_TAG_1|MIDDLEWARE_DATA_1
            # TRAEFIK_PORT_1_END
            traefik.docker.network: DOCKER_NETWORK_DATA #LIBREPORTAL|DOCKER_NETWORK_TAG|DOCKER_NETWORK_DATA
        networks:
            DOCKER_NETWORK_DATA: #LIBREPORTAL|DOCKER_NETWORK_TAG|DOCKER_NETWORK_DATA
                ipv4_address: IP_DATA_1 #LIBREPORTAL|IP_TAG_1|IP_DATA_1
            meet.jitsi:
                aliases:
                    - meet.jitsi
        healthcheck:
            disable: HEALTHCHECK_DATA #LIBREPORTAL|HEALTHCHECK_TAG|HEALTHCHECK_DATA

    # XMPP server
    jitsimeet-prosody: #LIBREPORTAL|SERVICE_TAG_2|jitsimeet-prosody
        image: jitsi/prosody:stable
        container_name: jitsimeet-prosody
        expose:
            - '5222'
            - '5347'
            - '5280'
        volumes:
            - ${CONFIG}/prosody:/config
        environment:
            - TZ:TIMEZONE_DATA #LIBREPORTAL|TIMEZONE_TAG|TIMEZONE_DATA
            - AUTH_TYPE:internal
            - ENABLE_GUESTS
            - ENABLE_LOBBY
            - XMPP_DOMAIN:meet.jitsi
            - XMPP_AUTH_DOMAIN:auth.meet.jitsi
            - XMPP_MUC_DOMAIN:muc.meet.jitsi
            - JICOFO_COMPONENT_SECRET
            - JICOFO_AUTH_USER
            - JICOFO_AUTH_PASSWORD
            - JVB_AUTH_USER
            - JVB_AUTH_PASSWORD
        networks:
            DOCKER_NETWORK_DATA: #LIBREPORTAL|DOCKER_NETWORK_TAG|DOCKER_NETWORK_DATA
                ipv4_address: IP_DATA_2 #LIBREPORTAL|IP_TAG_2|IP_DATA_2
            meet.jitsi:
                aliases:
                    - jitsimeet-prosody

    # Focus component
    jitsimeet-jicofo: #LIBREPORTAL|SERVICE_TAG_3|jitsimeet-jicofo
        image: jitsi/jicofo:stable
        container_name: jitsimeet-jicofo
        volumes:
            - ${CONFIG}/jicofo:/config
        environment:
            - TZ:TIMEZONE_DATA #LIBREPORTAL|TIMEZONE_TAG|TIMEZONE_DATA
            - ENABLE_CODEC_VP8
            - ENABLE_CODEC_VP9
            - ENABLE_CODEC_H264
            - JICOFO_COMPONENT_SECRET
            - JICOFO_AUTH_USER
            - JICOFO_AUTH_PASSWORD
            - XMPP_DOMAIN:meet.jitsi
            - XMPP_AUTH_DOMAIN:auth.meet.jitsi
            - XMPP_MUC_DOMAIN:muc.meet.jitsi
            - XMPP_SERVER:jitsimeet-prosody
        depends_on:
            - jitsimeet-prosody
        networks:
            DOCKER_NETWORK_DATA: #LIBREPORTAL|DOCKER_NETWORK_TAG|DOCKER_NETWORK_DATA
                ipv4_address: IP_DATA_3 #LIBREPORTAL|IP_TAG_3|IP_DATA_3
            meet.jitsi:

    # Video bridge
    jitsimeet-jvb: #LIBREPORTAL|SERVICE_TAG_4|jitsimeet-jvb
        image: jitsi/jvb:stable
        container_name: jitsimeet-jvb
        ports:
            - "PORTS_DATA_2" #LIBREPORTAL|PORTS_TAG_2|PORTS_DATA_2
            - "PORTS_DATA_3" #LIBREPORTAL|PORTS_TAG_3|PORTS_DATA_3
        volumes:
            - ${CONFIG}/jvb:/config
        environment:
            - TZ:TIMEZONE_DATA #LIBREPORTAL|TIMEZONE_TAG|TIMEZONE_DATA
            - XMPP_AUTH_DOMAIN:auth.meet.jitsi
            - XMPP_INTERNAL_MUC_DOMAIN:internal-muc.meet.jitsi
            - XMPP_SERVER:jitsimeet-prosody
            - JVB_AUTH_USER
            - JVB_AUTH_PASSWORD
            - JVB_BREWERY_MUC:jvbbrewery
            - JVB_PORT:PORT_INTERNAL_DATA_2 #LIBREPORTAL|PORT_INTERNAL_TAG_2|PORT_INTERNAL_DATA_2
            - JVB_TCP_PORT:PORT_INTERNAL_DATA_3 #LIBREPORTAL|PORT_INTERNAL_TAG_3|PORT_INTERNAL_DATA_3
            - PUBLIC_URL:https://DOMAINSUBNAME_DATA #LIBREPORTAL|DOMAINSUBNAME_TAG|DOMAINSUBNAME_DATA
        depends_on:
            - jitsimeet-prosody
        labels:
            libreportal.category: "CATEGORY_DATA" #LIBREPORTAL|CATEGORY_TAG|CATEGORY_DATA
            libreportal.title: "TITLE_DATA" #LIBREPORTAL|TITLE_TAG|TITLE_DATA
        networks:
            DOCKER_NETWORK_DATA: #LIBREPORTAL|DOCKER_NETWORK_TAG|DOCKER_NETWORK_DATA
                ipv4_address: IP_DATA_4 #LIBREPORTAL|IP_TAG_4|IP_DATA_4
            meet.jitsi:
